package kinugasa.contents.resource;

/**
 * XMFファイルのフォーマットがDTDに沿っていない場合に投げられる例外です.
 * <br>
 *
 * <br>
 *
 * @version 1.0.0 - 2013/03/14_15:11:06.<br>
 * @author dra0211 ( <a href="mailto:d0211@live.jp">d0211@live.jp</a>&nbsp;).<br>
 * <br>
 */
public class IllegalXMLFormatException extends IllegalFormatException {

	private static final long serialVersionUID = -8305393008312141380L;

	/**
	 * 新しい IllegalXMLFormatException のインスタンスを作成.
	 */
	public IllegalXMLFormatException() {
	}

	/**
	 * 新しい IllegalXMLFormatException のインスタンスを作成.
	 *
	 * @param msg この例外のメッセージ.<br>
	 */
	public IllegalXMLFormatException(String msg) {
		super(msg);
	}

	/**
	 * Throwableから例外を作成します.
	 * @param thrwbl 投げられた例外を送信します。<br>
	 */
	public IllegalXMLFormatException(Throwable thrwbl) {
		super(thrwbl);
	}
}
